## org.apache.lucene.misc
Class TermStats

    java.lang.Object
      org.apache.lucene.misc.TermStats

    public final class TermStats

extends Object

Holder for a term along with its statistics (`docFreq` and `totalTermFreq`).

Field Summary
`int` `docFreq`
`String` `field`
`BytesRef` `termtext`
`long` `totalTermFreq`

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### termtext

    public BytesRef termtext

### field

    public String field

### docFreq

    public int docFreq

### totalTermFreq

    public long totalTermFreq

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.